Description

the following comments were reported from the UAT meeting held:

1- Barcode field should be displayed as mandatory to match it's behavior is price monitoring screen

اضافة نجمة بجانب حقل الباركود في شاشة مراقبة الاسعار

> also please add the Asterisk to the Barcode field in the following screens:

متوسط سعر سلعة

مراقبة سعر سلعة خلال فترة زمنية محددة

2- Searching for an item using Barcode and item name does not return any results.

البحث باسم السلعة والباركود في شاشة مقارنة الاسعار, لا يظهر نتائج

> this should be tested after the latest update from Bug #1612

3- searching for a value in Profit margin screen, the system auto-corrects the value and searches for it

البحث بشاشة هوامش الربح يتم تصحيح الكلمة تلقائيا وتعديلها للبحث

> this is working fine, no auto correct is implemented to the profit margins screen

4- the search icon is not displayed clearly in the search square

مربع البحث غير واضح في صفحة مراقبة الاسعار

5- add the available amount of an item and the item circular average

اضافة المخزون السلعي ومعدل دوران السلعة

no page number is added on the UAT script to know on which screen this should be implemented

اضافة الكمية المتوفرة بالحبة والكمية المتوفرة بالشد الى جدول مراقبة الاسعار <

out of scope معدل دوران السلعة <

شاشة مقارنة الاسعار لا تظهر نتيجة البحث عن طريق البحث بواسطة الاسعار وبطئ النت -6

> this should be tested after the latest update from Bug #1612

متوسط السعر لا يظهر -7

> this is probably a missing data from the DB to where the user has searched

> when the data searched has no price values in the DB, No average is displayed in the screen

> Abed can we add a warning message to indicate having no data ?

> one more item was reported by Osama verbally yesterday,

that we need to draw a small arrow pointing up or down next to the selling price if the sell price is higher or lower than the Union

Price

History

#1 - 08/28/2019 04:24 PM - Israa Naser

- Description updated

09/08/2025 1/3

http://mscjo.dynalias.com:8089/redmine/issues/1612
http://mscjo.dynalias.com:8089/redmine/issues/1612


#2 - 08/28/2019 05:52 PM - Abed Abuhalawa

focused point is :

----------

1- Barcode field should be displayed as mandatory to match it's behavior is price monitoring screen

----------

4- the search icon is not displayed clearly in the search square  >>> tariq

----------

5- add the available amount of an item and the item circular average

----------

متوسط السعر لا يظهر -7

> Abed can we add a warning message to indicate having no data ?

----------

> Abed can we add a warning message to indicate having no data ?

#3 - 08/29/2019 04:26 PM - Israa Naser

- File 1167964-128.png added

- File 1167965-128.png added

Attached icons for price comparison

#4 - 08/29/2019 05:51 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

done :

1- Barcode field should be displayed as mandatory to match it's behavior is price monitoring screen

----------

4- the search icon is not displayed clearly in the search square >>> tariq

----------

5- add the available amount of an item and the item circular average

----------

one more item was reported by Osama verbally yesterday,

 

that we need to draw a small arrow pointing up or down next to the selling price if the sell price is higher or lower than the Union Price

09/08/2025 2/3



#5 - 08/31/2019 02:32 AM - Israa Naser

- Assignee changed from Israa Naser to Tareq Abuhamra

Tariq could you please check the search icon issue ? thanks

#6 - 12/02/2019 09:32 AM - Tareq Abuhamra

- Status changed from Fixed to Closed

- Assignee deleted (Tareq Abuhamra)

Fixed and Closed,

Files

1167964-128.png 1.16 KB 08/29/2019 Israa Naser

1167965-128.png 1.06 KB 08/29/2019 Israa Naser
